Subject: Final Pastoria Management Presentation
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Tue, 3 Oct 2000 08:17:00 -0700 (PDT)

Attached is the final presentation for inclusion in DealBench.  

Dave and Sam, I have revised the Water District slide to reflect that the 
validation proceeding is final, even though Harlan has yet to confirm.  

Please call me if you have any questions.